import { type PerseusMeasurerWidgetOptions } from "@khanacademy/perseus-core";
import * as React from "react";
import type { Widget, WidgetProps } from "../../types";
import type { UnsupportedWidgetPromptJSON } from "../../widget-ai-utils/unsupported-widget";
type Props = WidgetProps<PerseusMeasurerWidgetOptions> & {
    protractorX: number;
    protractorY: number;
};
type DefaultProps = {
    box: Props["box"];
    image: Props["image"];
    showProtractor: Props["showProtractor"];
    protractorX: Props["protractorX"];
    protractorY: Props["protractorY"];
    showRuler: Props["showRuler"];
    rulerLabel: Props["rulerLabel"];
    rulerTicks: Props["rulerTicks"];
    rulerPixels: Props["rulerPixels"];
    rulerLength: Props["rulerLength"];
};
declare class Measurer extends React.Component<Props> implements Widget {
    static defaultProps: DefaultProps;
    isWidget: true;
    state: {};
    ruler: any;
    protractor: any;
    componentDidMount(): void;
    componentDidUpdate(prevProps: any): void;
    setupGraphie(): void;
    getPromptJSON(): UnsupportedWidgetPromptJSON;
    render(): React.JSX.Element;
}
declare const _default: {
    name: string;
    displayName: string;
    hidden: true;
    widget: typeof Measurer;
    version: import("@khanacademy/perseus-core").Version | undefined;
};
export default _default;
